Bug 137620 - Ark chokes on large tar files.
Ark chokes on large tar files.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 15:42 EDT by Kim Lux
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:26:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2004-10-29 15:42:37 EDT
Description of problem:

Ark hangs when trying to open large tar files.  I suspect that it
doesn't realize they are compressed.  The file in question was
produced as root with:

tar -cvzf home.tgz /home

It was 4.1 GB in size.  Tar opened it easily.  I suspect ark didn't
realize it was compressed, but that is just a guess.  

   

Version-Release number of selected component (if applicable):

kdebase-3.3.0-8

Is ark part of kdebase ?



How reproducible:

I tested it twice and it happened twice.  Due to the time it takes to
test this, I didn't test it again, although I could if you need me to.
 home.tgz is backed up on disk. 


Steps to Reproduce:
1.tar a large amount of data using tar -cvzf something.tgz /somewhere
2.open the archive with ark.
3.wait and wait and wait. 
  
Actual results:

ark hangs.  The OS slows down considerably. 


Expected results:

ark should build the directory/file list and display them. 


Additional info:

I liked file roller a lot better than ark (so far)

Ark had problems with some other files as well.  In general I've found
it to be nearly unusable.  I used the tar /home example because I knew
the archive was good and I tried it twice.
Comment 1 Kim Lux 2004-11-13 14:29:01 EST
This is still a problem with FC3 final.  It totally stalls the 
machine.  file-roller does the task easily.  
Comment 2 Matthew Miller 2006-07-10 18:32:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 11:26:30 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.